Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class FileResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.FileResourceBean

    public class FileResourceBean

extends ResourceBean

A FileResource typically holds data (unless it in a "link" (isReference = true)). For these bean objects, they do not hold their own data. Instead, the data is written to disk. The stringURI field inherited from ResourceBean is uses to locate the data once it is time to import the bean objects back into JasperServer and recreate copies of the original java objects.

Constructor Summary
`FileResourceBean()`

Method Summary
`java.lang.String` | `getFileType()`
`boolean` | `getHasData()`
`boolean` | `getIsReference()`
`ResourceBean` | `getLinkTarget()`
`java.lang.String` | `getReferenceUri()`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setHasData(boolean hasData)`
`void` | `setIsReference(boolean isReference)`
`void` | `setLinkTarget(ResourceBean linkTarget)`
`void` | `setReferenceUri(java.lang.String referenceUri)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileResourceBean

    public FileResourceBean()

Method Detail

### getFileType

    public java.lang.String getFileType()

### setFileType

    public void setFileType(java.lang.String fileType)

### getHasData

    public boolean getHasData()

### setHasData

    public void setHasData(boolean hasData)

### getIsReference

    public boolean getIsReference()

### setIsReference

    public void setIsReference(boolean isReference)

### getReferenceUri

    public java.lang.String getReferenceUri()

### setReferenceUri

    public void setReferenceUri(java.lang.String referenceUri)

### getLinkTarget

    public ResourceBean getLinkTarget()

### setLinkTarget

    public void setLinkTarget(ResourceBean linkTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.